{
  "$schema": "https://raw.githubusercontent.com/spdx/spdx-spec/v2.2.1/schemas/spdx-schema.json",
  "spdxVersion": "SPDX-2.2",
  "dataLicense": "CC0-1.0",
  "SPDXID": "SPDXRef-DOCUMENT",
  "documentNamespace": "https://spdx.org/spdxdocs/x264-arm64-osx-0.164.3108#3-80acfef4-b9fc-4720-9f35-9b547c085604",
  "name": "x264:arm64-osx@0.164.3108#3 8a0bf6937f62816fd70a1a7589534851fb4037efe27513e2859c384db1f97f8e",
  "creationInfo": {
    "creators": [
      "Tool: vcpkg-2025-07-21-d4b65a2b83ae6c3526acd1c6f3b51aff2a884533"
    ],
    "created": "2026-01-24T14:54:17Z"
  },
  "relationships": [
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "GENERATES",
      "relatedSpdxElement": "SPDXRef-binary"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-0"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-1"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-2"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-3"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-4"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-5"
    },
    {
      "spdxElementId": "SPDXRef-port",
      "relationshipType": "CONTAINS",
      "relatedSpdxElement": "SPDXRef-file-6"
    },
    {
      "spdxElementId": "SPDXRef-binary",
      "relationshipType": "GENERATED_FROM",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-0",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-1",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-2",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-3",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-4",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-5",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-5",
      "relationshipType": "DEPENDENCY_MANIFEST_OF",
      "relatedSpdxElement": "SPDXRef-port"
    },
    {
      "spdxElementId": "SPDXRef-file-6",
      "relationshipType": "CONTAINED_BY",
      "relatedSpdxElement": "SPDXRef-port"
    }
  ],
  "packages": [
    {
      "name": "x264",
      "SPDXID": "SPDXRef-port",
      "versionInfo": "0.164.3108#3",
      "downloadLocation": "NOASSERTION",
      "homepage": "https://www.videolan.org/developers/x264.html",
      "licenseConcluded": "GPL-2.0-or-later",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "description": "x264 is a free software library and application for encoding video streams into the H.264/MPEG-4 AVC compression format",
      "comment": "This is the port (recipe) consumed by vcpkg."
    },
    {
      "name": "x264:arm64-osx",
      "SPDXID": "SPDXRef-binary",
      "versionInfo": "8a0bf6937f62816fd70a1a7589534851fb4037efe27513e2859c384db1f97f8e",
      "downloadLocation": "NONE",
      "licenseConcluded": "GPL-2.0-or-later",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "comment": "This is a binary package built by vcpkg."
    },
    {
      "SPDXID": "SPDXRef-resource-0",
      "name": "videolan/x264",
      "downloadLocation": "git+https://code.videolan.org//videolan/x264@${ref}",
      "licenseConcluded": "NOASSERTION",
      "licenseDeclared": "NOASSERTION",
      "copyrightText": "NOASSERTION",
      "checksums": [
        {
          "algorithm": "SHA512",
          "checksumValue": "10acb4e1199baf6cae80357f718f943a06f44b81d031366ea7af32cf3f4d38f180c340272662543b268b9ddb08b9b840b13f10c57e673bd59fdba1c3bf019fa7"
        }
      ]
    }
  ],
  "files": [
    {
      "fileName": "./configure.patch",
      "SPDXID": "SPDXRef-file-0",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "eb02ca547a48166876c51799385c12fd94d387e7d3a801b8ca53c8b4977d3a66"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./allow-clang-cl.patch",
      "SPDXID": "SPDXRef-file-1",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "9411a951a9f690f1ffac8fb04010268b309e37c91f30e4b9c346d6e0a3187f1c"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./parallel-install.patch",
      "SPDXID": "SPDXRef-file-2",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "d8a4dd8d264281de79f3726c787825465770a5def75f3d44d20a6d655846fcde"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./uwp-cflags.patch",
      "SPDXID": "SPDXRef-file-3",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "4f90d00aac777f4ad51956bfedecb89f53c2a1315625008fe6651f37fe768e3c"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./portfile.cmake",
      "SPDXID": "SPDXRef-file-4",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "2d92864ed42a8aef049ca1b6fb0a4ad1ca609be612c9bd3c808d56f7d614f238"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./vcpkg.json",
      "SPDXID": "SPDXRef-file-5",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "271f47fbfba83d8abadce32da55a1a3bfbab7dce6da9d7911499b4de6801f5d4"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    },
    {
      "fileName": "./version.diff.in",
      "SPDXID": "SPDXRef-file-6",
      "checksums": [
        {
          "algorithm": "SHA256",
          "checksumValue": "5902c75a38f42622290bb6f46e96f9f8752cff5d927a2bf8cff1ca6ea170b01a"
        }
      ],
      "licenseConcluded": "NOASSERTION",
      "copyrightText": "NOASSERTION"
    }
  ]
}
